<!doctype html>
<html>
<head>
    <title>Giving Tuesday: Support Tech for Freedom and Human Rights | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Giving Tuesday: Support Tech for Freedom and Human Rights | Tor Project">
    <meta property="og:description" content="I&#39;d like to tell you about some of our work your contributions can help over the coming year. I&#39;ll be focusing on things that my team works on in the &#34;tor&#34; program itself.">
    <meta property="og:image" content="https://blog.torproject.org/giving-tuesday-support-tech-freedom-and-human-rights/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/giving-tuesday-support-tech-freedom-and-human-rights/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Giving Tuesday: Support Tech for Freedom and Human Rights
      </h1>
    <p class="meta">by nickm | December 3, 2019</p>
    <picture>
      
      <img class="lead" src="lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>First of all, thank you for supporting and using Tor over the years. I wrote my first Tor patch back in 2002, and I still believe that the software we're writing can help lay the groundwork for a better, more private internet in the future.</p>
<p>The internet is a long way from where it should be. Over my lifetime, for good reasons and bad, commercial interests have re-centralized the internet. When the average person goes online, dozens of parties have the opportunity to surveil or censor their traffic.</p>
<p>Right now, we're in the middle of our annual fundraising drive, and today is <a href="https://www.givingtuesday.org/">Giving Tuesday</a>, a day when people all over the world focus on how we can give back and make the world a better place. I'd like to tell you about some of our work your contributions can help over the coming year. I'll be focusing on things that <a href="https://trac.torproject.org/projects/tor/wiki/org/teams/NetworkTeam">my team</a> works on in the "tor" program itself.</p>
<p><strong>You can help improve the security of the Tor network.</strong> We've made a bunch of improvements this year to minimize the collateral damage <a href="https://trac.torproject.org/projects/tor/ticket/29999">Denial-of-Service attacks</a> cause the network, and we've developed a bunch of technology for traffic padding to reduce traffic analysis. We've also been looking at new designs from the research world for better padding schemes and improved cryptography. I've been longing to revisit our sandboxing code, and the whole team is eager for more time and resources to port more of our codebase to Rust.</p>
<p><strong>You can help us scale the Tor network to support the whole world.</strong> We're proud of the number of people we can support today, but that's a far cry from achieving our mission of bringing privacy to everybody who wants it. As more people choose to protect their privacy, we need to make sure that Tor can handle the load -- but we'll have to make changes in the software's architecture to do so, so that we can grow the number of users by a factor of 10 or 100 without getting bogged down with directory load or exhausting relays' sockets.</p>
<p><strong>You can help us develop Tor right.</strong> Software development isn't just about writing new features: it's about writing code that is clean, correct, maintainable, and sustainable. I believe that an important part of being a privacy developer today is to make sure that there is still privacy software tomorrow. We can do that by working for the long term: building software that other developers can adapt to the future and maintain over time, even when those developers are not us. We've gotten better over the past years, with greatly improved testing, documentation, development practices, and code organization, but we still have a long way to go.</p>
<p><strong>Most of all, you can help us respond flexibly to unexpected events and issues over the coming year.</strong> Despite all our plans and preparations, we don't truly know what technological privacy challenges we will face in 2020. Your contributions can give us the ability to focus on breaking events without stalling progress on other development work.</p>
<p>And your <a href="https://torproject.org/donate/donate-tbi-bp6">donation</a> doesn’t just help my team develop Tor itself; your contribution helps fund all of the Tor Project’s work to protect privacy and freedom online and impacts millions of people worldwide. A future post will go into more detail about aspects of our work you’ll help support in the next year.</p>
<p><strong>Technology doesn't need to come at the expense of privacy. Connectivity doesn't need to cost us our self-determination.</strong> With your help, we can keep Tor growing and improving to be what the world needs: a way to help <a href="https://torproject.org/donate/donate-tbi-bp6">take back the internet</a> for freedom and human rights.</p>
<p><a href="https://torproject.org/donate/donate-tbi-bp6"><img alt="Tor donate button " src="/static/images/blog/inline-images/tor-donate-button-purple_3.png" width="250" class="align-center" /></a></p>
<p> </p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/fundraising">
          fundraising
        </a>
      </li><li>
        <a href="../category/network">
          network
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-285794"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285794" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>A Tor Fan (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
    <a href="#comment-285794">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285794" class="permalink" rel="bookmark">Why don&#039;t you try reaching…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why don't you try reaching more people on social media eg privacy focused subreddits like r/privacy etc ? try reaching more people who care about privacy but never heard of TOR or are afraid of using it which you can fix by telling them about bridges .</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-285800"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285800" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-285794" class="permalink" rel="bookmark">Why don&#039;t you try reaching…</a> by <span>A Tor Fan (not verified)</span></p>
    <a href="#comment-285800">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285800" class="permalink" rel="bookmark">I agree (and I think the…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I agree (and I think the leadership does too) that Tor Project needs to grow the pool of Tor users, and I also agree that this won't happen if TP confines "outreach" to the blog.  To recruit new users, TP has to overcome precisely the problem you mentioned, which I also have frequently encountered--- people have heard such awful things from FBI's "Going Dark" FUD and from other governments's "information ops" that they are too frightened to even consider giving Tor a try.</p>
<p>@ Tor Project:</p>
<p>I believe that "positive press" in the US mainstream "print" media would help, such as the article which appeared in wired.com a few months ago.   The link to  that article should be easy to find on the landing page <a href="http://www.torproject.org" rel="nofollow">www.torproject.org</a>.</p>
<p>So far whenever Tor is mentioned anywhere in any US based blog or news site, it is almost always in an outrageously negative context, with not even a mention of the fact that Tor Project is a human rights organization and that Tor is a citizen's best hope for freedom of speech, association, and access to truthful information.  I believe it might also help if TP were given a subscription to an electronic "clipping service" and actively tried to counter negative mentions by writing letters to the editor whenever this happens.</p>
<p>Further, I believe that TP should actively reach out to the most active US/EU/soon-to-be-disunited-kingdom-based "tech reporters".  For example, editors might feel that their readers may be curious to learn how Tor originated inside the Naval Research Laboratory, given the very bad press coming from FBI (and soon, at the strident demand of FBI, Interpol), Candidate Biden, AG Barr, former Director Comey, Former AG Holder, and many other veteran politicians, Trumpeteers, and Deep Statists.  How better to tell that story than an interview with Nick M?</p>
<p>Further, some editors might decide their readers would like to learn about how Tor devs were affected by paid trolls and Gamergate, and how we well knew, years before "the mainstream", all about Internet Research Agency, even noting their physical address (courtesy of a whistleblower interview which appeared in The Guardian several years before the first mention of IRA in the mainstream US media).</p>
<p>And some editors might decide their readers would like to learn more about how Tor devs work to counter the world's most advanced censorship regimes, e.g. the ongoing "arms race" between ever changing Bridges camouflage and GFC, RU and IR national firewalls, etc.</p>
<p>Some editors might be intrigued by Tor trainings of highly endangered people outside the US, or by the geographically dispersed nature of Tor Project, or by the fact that two cities whose citizens are offering resistance to far-right extremist Presidents, Seattle and Rio, play key roles.  How better to tell those stories than interviews with Isa or some of the trainers?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-285822"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285822" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-285800" class="permalink" rel="bookmark">I agree (and I think the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-285822">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285822" class="permalink" rel="bookmark">I wrote my comment out of…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I wrote my comment out of passion but this one is very helpful. May I suggest also writing op-eds for big newspapers and sites or even small ones ? Also the project should look into the huge increase in bridge users from Iran, see what worked or helped and try to replicate it in other countries like Egypt that has an incompetent government when it comes to censorship .</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285824"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285824" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-285800" class="permalink" rel="bookmark">I agree (and I think the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-285824">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285824" class="permalink" rel="bookmark">Here is a major developing…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Here is a major developing story which Tor Project should draw attention to, because our community needs some good press!</p>
<p>People in Iran need to read the following series (in progress) of unprecedented revelations about oppression in Iran, based upon the Iran equivalent of the Snowden leaks: 700 pages of internal MOIS documents which a very brave whistleblower gave to The Intercept (via SecureDrop, so Tor played a critical role in enabling the leak):</p>
<p><a href="https://theintercept.com/2019/11/18/iran-cables/" rel="nofollow">https://theintercept.com/2019/11/18/iran-cables/</a></p>
<p>If FBI gets its way, using Tor would be illegal under US law as well as under IR law, and stories like these would never even get a chance to reach a reporter, much less to be published by a major news organization.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285825"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285825" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-285800" class="permalink" rel="bookmark">I agree (and I think the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-285825">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285825" class="permalink" rel="bookmark">This is pathetic: I answered…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is pathetic: I answered the CAPTCHA incorrectly.</p>
<p>Which reminds me of a joke: at his annual phone-in, someone asks Putin "What is 2+2?" and he answers "1 for you and 3 for me".</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285826"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285826" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-285800" class="permalink" rel="bookmark">I agree (and I think the…</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-285826">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285826" class="permalink" rel="bookmark">&quot;The wired article&quot;: here is…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>"The wired article": here is that link again:</p>
<p>wired.com<br />
Tor Is Easier Than Ever. Time to Give It a Try<br />
Been curious about Tor but worried it's too complicated to use? Good news: The anonymity service is more accessible than ever.<br />
Lily Hay Newman<br />
1 Jan 2019</p>
<p>And as a bonus, if you wonder what on earth NSA does with all the data it collects, the answer is real-life precrime.  The methods are described in this story, which does not mention the broader precrime programs being done by the same LANL scientists who are discussing (in this story) a very specfic kind of behavioral prediction: </p>
<p>wired.com<br />
Scientists Know How You’ll Respond to Nuclear War—and They Have a Plan<br />
Using data from smartphones, satellites, remote sensors, and census surveys, modelers can create synthetic populations—and watch what they do in a disaster.<br />
Megan Molteni<br />
13 Feb 2018</p>
<p>And as a second bonus for reading this blog, here is the best explainer I've yet seen on the methods and goals of corporate collections of everyone's "data exhaust":</p>
<p><a href="https://www.eff.org/wp/behind-the-one-way-mirror" rel="nofollow">https://www.eff.org/wp/behind-the-one-way-mirror</a><br />
Behind the One-Way Mirror: A Deep Dive Into the Technology of Corporate Surveillance<br />
Bennett Cyphers<br />
2 Dec 2019</p>
<p>1x1 gifs, link-shimming, device-inventory and real time geolocation tracking using networks of WiFi hotsots and Bluetooth beacons, real-time auctions of your personal information--- this white paper covers all the corporate-sponsored exploitations you've been hearing about.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-285806"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285806" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
    <a href="#comment-285806">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285806" class="permalink" rel="bookmark">&gt; improvements this year to…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; improvements this year to minimize the collateral damage Denial-of-Service attacks cause the network</p>
<p>Are you saying some DoS is desired? "Collateral damage" is a side effect from performing and authorizing damage in the first place.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285820"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285820" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
    <a href="#comment-285820">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285820" class="permalink" rel="bookmark">&gt; You can help us develop…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; <strong>You can help us develop Tor right.</strong> Software development... is about writing code that is clean, correct, maintainable, and sustainable. We can do that by... building software that other developers can adapt to the future and maintain over time, even when those developers are not us.</p>
<p>Why isn't there a tutorial on the wiki or community site to teach us how to configure Git and web repository services and how to use and interact with them through the Tor network all from simultaneously sigint, netsec, opsec, privacy, etc. perspectives?  You want Tor's cautious and guarded users to help code? Teach us how to set up a development environment and workflow based on privacy and the Tor network. Your preparations for DocsHackathon took a few small steps in that direction but achingly late in Tor's long history.</p>
<p><a href="https://blog.torproject.org/join-tors-docshackathon-next-week" rel="nofollow">https://blog.torproject.org/join-tors-docshackathon-next-week</a> -- comments, too<br />
<a href="https://trac.torproject.org/projects/tor/wiki" rel="nofollow">https://trac.torproject.org/projects/tor/wiki</a><br />
<a href="https://community.torproject.org/" rel="nofollow">https://community.torproject.org/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285821"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285821" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
    <a href="#comment-285821">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285821" class="permalink" rel="bookmark">&gt; the article which appeared…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>&gt; the article which appeared in wired.com a few months ago. The link to that article should be easy to find on the landing page <a href="http://www.torproject.org" rel="nofollow">www.torproject.org</a>.</p>
<p>Yes! On the front page in an "As seen in" or "Press coverage" list of publisher logos or however other attractive-looking sites present theirs. Journalistic coverage is listed, but one has to go out of the way to find it.  <a href="https://www.torproject.org/press/" rel="nofollow">https://www.torproject.org/press/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285827"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285827" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
    <a href="#comment-285827">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285827" class="permalink" rel="bookmark">I want to thank Nick for his…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I want to thank Nick for his concise and clear exposition of major technical challenges and responses, everything from sandboxing to responding to unpleasant surprises!</p>
<p>The wish list is not short, but I would like to urge TP to add a few more items anyway, just in case that trillion dollar deficit USG is running somehow gets converted from a negative into a positive (a trillion dollar no strings grant to TP).</p>
<p>o cybersecurity awareness of issues such as those discussed in the EFF whitepaper,  plus practical cybersecurity training including Tor, Tails, and OnionShare should be offered in every high school (this would be a heck of a lot more effective than the horror "solution" being pushed by FBI, which is to cripple all strong civilian encryption, leaving America's children utterly defenseless),</p>
<p>o OnionShare for communication with/between law offices, medical clinics, local governments, reporters, bloggers, and ordinary citizens,</p>
<p>o Tor for Raspberry Pi (armhf so apparently not quite Debian compatible),</p>
<p>o expand the roster of software repositories with onion mirrors to include R Project, Raspberry Pi, maybe even Github (plus of course proper code signing for R Project),</p>
<p>o I had high hopes for Tor Messenger, understand that the devs gave it the old college try but wrote themselves into a corner--- maybe second time will be charm time?</p>
<p>o encourage the growth of a privacy industry: I want to see these items for sale, cheaply, in every drugstore and hardware store and bigbox electronics store in America:</p>
<p>* Faraday bags for smart phones,</p>
<p>* TEMPEST technology for all (new buildings should be constructed like SCIFs),</p>
<p>* Haven and similar physical intrusion detectors,</p>
<p>* broad-spectrum WiFi and Bluetooth signal scanners, including well-designed aerials and software which can use machine learning to make better and better guesses about what each signal represents (such devices would probably have to be limited to say 2-6 GHz and some lower and higher frequency ranges, so perhaps low, mid, and high frequency scanning devices)</p>
<p>* Stingray detectors,</p>
<p>* radio-controlled-quadcopter-microdrone detectors,</p>
<p>* radio-controlled-military-robot detectors,</p>
<p>* spyplane detectors which can decode, geolocate, and map in real time flight paths using ADS-B packets, </p>
<p>* a legally mandated bug in every FBI Field Office with live feeds to the Internet, so anyone can listen in to their local feds, until they get bored of listening to agents chanting T A F Y ("terror-anarchists fuck you"),</p>
<p>* facial identification apps which dox cops and feds to ordinary citizens, rather than apps which dox ordinary citizens to cops and feds.</p>
<p>These devices should be designed with minimal "bells and whistles" (those tend to open security vulns), for consumers not for the "big uglies" (Amazon/Facebook/Google/Microsoft/etc), using the philosophy "do one thing, but do it very well".</p>
<p>Let the punishment fit the crime:</p>
<p>Former Cardinal Pell should have been sentenced to teach an ethics course, over and over, to one carefully selected pupil, former FBI Director Comey.</p>
<p>Soon-to-be-former AG Barr should be demoted to serve out his days as the harried chief of the DOJ FOIA Office, where he should be required to spend at least five hours every day assisting Muckrock to get all the information We the People have requested and to which we are entitled.</p>
<p>HRC should be sentenced to one million hours of community service, working the phone banks for the Drump campaign.</p>
<p>Obama and G.W. Bush should be cellmates in Spandau, with hourly tours so the public can gawk.</p>
<p>Drump... Drump... Drump... what punishment could possibly fit?</p>
<p>Just kidding, of course.  Those unspeakably harsh punishments would all be highly unconstitutional.  Not that anyone but the ACLU still cares about that document, to be sure.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285829"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285829" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 03, 2019</p>
    </div>
    <a href="#comment-285829">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285829" class="permalink" rel="bookmark">Russia&#039;s present is America…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Russia's present is America's future (if we do not join the resistance while there is still time, if there is still time):</p>
<p>theguardian.com<br />
Putin approves law targeting journalists as 'foreign agents'<br />
Move described by rights activists as scare tactic to stifle criticism of Russian government<br />
Andrew Roth in Moscow<br />
3 Dec 2019</p>
<p>themoscowtimes.com<br />
Russia’s New ‘Foreign Agent’ Law, Explained<br />
The law to label any individual as a "foreign agent" has been met with controversy over how it will be enforced. Pixabay<br />
2 Dec 2019</p>
<p>&gt; Russia has passed legislation that will allow individual journalists and bloggers to be labeled “foreign agents,” a move that critics say will tighten curbs on the media and free speech.<br />
&gt; ...<br />
&gt; — The law applies to any individual who distributes information on the internet and receives money from foreign sources.<br />
&gt; ...<br />
&gt; The State Duma has confirmed that both foreigners and Russians may be labeled “foreign agents” under the new law.</p>
<p>Wait, what now?  You mean to say that every non-Russian who receives money from non-Russians and confesses in some online text that Мой дядя держит попугаев is a "foreign agent", according to Mad Vlad?  Nuts!  Someone please feed that man some birdseed, too much Sochi sun has gone to his head!</p>
<p>We all need Tor, now more than ever.</p>
<p>(Trivia question: who drinks more alcohol per capita, Germans or Russians?  The surprising answer: Germans.  According to WHO.)</p>
<p>On the bright side, it seems Yandex won a reprieve from even more search-result censorship.  This is good to know if you ever use the Yandex button in Tor Browser.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285862"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285862" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>NemosEngine (not verified)</span> said:</p>
      <p class="date-time">December 04, 2019</p>
    </div>
    <a href="#comment-285862">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285862" class="permalink" rel="bookmark">Too  much Putin for such a…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Too  much Putin for such a post at one place even for himself! Cannot say better than it's given above: want to improve TP - teach us how you do it. Oppenes serves all!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285868"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285868" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 05, 2019</p>
    </div>
    <a href="#comment-285868">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285868" class="permalink" rel="bookmark">Maybe Tor can reach even…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Maybe Tor can reach even more people in places like Iran if the project had a Telegram channel or something</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-285906"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-285906" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Jack B. Nimble (not verified)</span> said:</p>
      <p class="date-time">December 06, 2019</p>
    </div>
    <a href="#comment-285906">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-285906" class="permalink" rel="bookmark">I&#039;ve noticed a big change…</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've noticed a big change recently, not with this TOR release, but in say, the last month, that the stupid Google captchas are failing out almost 50% of the time with the stupid, "received too many automated queries" message.  This has gotten to the point now that I have to make 10 connections to find an IP on which the captcha will work.  I've used TOR for years, and previously, this error was rare.  Let's say perhaps 10% or less of the time.</p>
<p>First of all, why are so many websites using Google garbage.  Google hates TOR.  when you try to use Google with TOR you hit a captcha (not the familiar captcha I just mentioned, but another one), and sometimes it's an endless loop, where you solve it correctly and are bought right back to the same page.  UploadBank seems to have a good non-Google captcha.  Why isn't that being embraced?  And why the Hell would a captcha system report an error for "too many automated queries" in the first place - it's designed to check whether you're human so it should be immune to noise packets.</p>
<p>Is this change something Google has done to make TOR users suffer, or is someone else to blame.  Perhaps a State actor like China, attacking the captcha system to shut down or de-anonymize TOR users?</p>
<p>Is this comment going to be CENSORED like when I attempted to post it under the TOR release 9.0.2 comments?  How ironic.  Censoring people for no good reason while claiming to support freedom of expression.  If this isn't the appropriate place, then WHERE???</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
